PHPExcel_Reader_Excel5_Escher

category | PHPExcel
package | PHPExcel_Reader_Excel5
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Reader_Excel5_Escher instance

    __construct(mixed $object)

### Parameters

#### $object

`mixed`

## Load Escher stream data.

    load(string $data)

May be a partial Escher stream.

### Parameters

#### $data

`string`

## Read BSE record

    _readBSE()

## Read BlipJPEG record.

    _readBlipJPEG()

Holds raw JPEG image data

## Read BlipPNG record.

    _readBlipPNG()

Holds raw PNG image data

## Read BstoreContainer record (Blip Store Container)

    _readBstoreContainer()

## Read ClientAnchor record.

    _readClientAnchor()

This record holds information about where the shape is anchored in worksheet

## Read ClientData record

    _readClientData()

## Read ClientTextbox record

    _readClientTextbox()

## Read a generic record

    _readDefault()

## Read Dg record (Drawing)

    _readDg()

## Read DgContainer record (Drawing Container)

    _readDgContainer()

## Read Dgg record (Drawing Group)

    _readDgg()

## Read DggContainer record (Drawing Group Container)

    _readDggContainer()

## Read OPT record.

    _readOPT()

This record may occur within DggContainer record or SpContainer

## Read OfficeArtRGFOPTE table of property-value pairs

    _readOfficeArtRGFOPTE(string $data, int $n)

### Parameters

#### $data

`string`

Binary data

#### $n

`int`

Number of properties

## Read Sp record (Shape)

    _readSp()

## Read SpContainer record (Shape Container)

    _readSpContainer()

## Read Spgr record (Shape Group)

    _readSpgr()

## Read SpgrContainer record (Shape Group Container)

    _readSpgrContainer()

## Read SplitMenuColors record

    _readSplitMenuColors()

## Read TertiaryOPT record

    _readTertiaryOPT()

### Properties

##

    $_data : string

##

    $_dataSize : int

##

    $_object : mixed

Modified during load.

##

    $_pos : int

### Constants

## BLIPJPEG

    BLIPJPEG

## BLIPPNG

    BLIPPNG

## BSE

    BSE

## BSTORECONTAINER

    BSTORECONTAINER

## CLIENTANCHOR

    CLIENTANCHOR

## CLIENTDATA

    CLIENTDATA

## CLIENTTEXTBOX

    CLIENTTEXTBOX

## DG

    DG

## DGCONTAINER

    DGCONTAINER

## DGG

    DGG

## DGGCONTAINER

    DGGCONTAINER

## OPT

    OPT

## SP

    SP

## SPCONTAINER

    SPCONTAINER

## SPGR

    SPGR

## SPGRCONTAINER

    SPGRCONTAINER

## SPLITMENUCOLORS

    SPLITMENUCOLORS

## TERTIARYOPT

    TERTIARYOPT